One-step onboarding
POST
/setup/quickCreates a family (or uses existing), adds a child, generates age-appropriate policy rules, and activates the policy.
Auth:
BearerRequest body
family_idOptional existing family UUID to add the child to
uuid
family_nameOptional name for a new family (defaults to '{child_name}'s Family')
string
child_nameThe child's display name
stringrequired
birth_dateChild's birth date in YYYY-MM-DD format
daterequired
strictnessStrictness preset (default: recommended)
recommended | strict | relaxed
Response
familyobject
childobject
policyobject
rulesobject[]
age_groupstring
max_ratingsobject
rule_summaryobject
Request
bash
curl -X POST "https://api.phosra.com/api/v1/setup/quick" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"family_id": "550e8400-e29b-41d4-a716-446655440000",
"family_name": "string",
"child_name": "string",
"birth_date": "2018-06-15",
"strictness": "recommended"
}'Response
json
{
"family": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "string",
"created_at": "2025-01-15T09:30:00Z"
},
"child": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"family_id": "550e8400-e29b-41d4-a716-446655440000",
"name": "string",
"birth_date": "2018-06-15",
"avatar_url": "string",
"created_at": "2025-01-15T09:30:00Z"
},
"policy": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"child_id": "550e8400-e29b-41d4-a716-446655440000",
"name": "string",
"status": "active",
"priority": 0,
"version": 0,
"created_at": "2025-01-15T09:30:00Z"
},
"rules": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"policy_id": "550e8400-e29b-41d4-a716-446655440000",
"category": "content_rating",
"enabled": true,
"config": {},
"created_at": "2025-01-15T09:30:00Z"
}
],
"age_group": "string",
"max_ratings": {},
"rule_summary": {
"screen_time_minutes": 0,
"bedtime_hour": 0,
"web_filter_level": "string",
"content_rating": "string",
"total_rules_enabled": 0
}
}